"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Resume entry for skills.
 * Follows the JSONSchema format for skill entries
 */
var Skills = function Skills(_ref) {
  var name = _ref.name,
      level = _ref.level,
      keywords = _ref.keywords;
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("b", null, name, level ? " (".concat(level, "): ") : ": "), keywords.join(', '));
};

Skills.propTypes = {
  name: _propTypes.default.string,
  level: _propTypes.default.string,
  keywords: _propTypes.default.arrayOf(_propTypes.default.string)
};
Skills.defaultProps = {
  name: '',
  level: '',
  keywords: []
};
var _default = Skills;
exports.default = _default;